Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.connectionfactory
Class ConnectionFactory

    java.lang.Object
      ServiceMBeanSupport
          org.jboss.jms.server.connectionfactory.ConnectionFactory

public class ConnectionFactory
extends ServiceMBeanSupport

A deployable JBoss Messaging connection factory.

Version:
  `$Revision: 1.7 $` $Id: ConnectionFactory.java,v 1.7 2006/05/18 21:51:20 ovidiu Exp $
Author:
  Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `clientID`
`protected int` | `connectionFactoryID`
`protected ConnectionFactoryManager` | `connectionFactoryManager`
`protected ConnectionManager` | `connectionManager`
`protected ConnectorManager` | `connectorManager`
`protected ObjectName` | `connectorObjectName`
`protected JNDIBindings` | `jndiBindings`
`protected ObjectName` | `serverPeerObjectName`
`protected boolean` | `started`

Constructor Summary
`ConnectionFactory()`
`ConnectionFactory(java.lang.String clientID)`

Method Summary
`java.lang.String` | `getClientID()`
`ObjectName` | `getConnector()`
`org.w3c.dom.Element` | `getJNDIBindings()`
`ObjectName` | `getServerPeer()`
`void` | `setConnector(ObjectName on)`
`void` | `setJNDIBindings(org.w3c.dom.Element e)`
`void` | `setServerPeer(ObjectName on)`
`void` | `startService()`
`void` | `stopService()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### clientID

    protected java.lang.String clientID

### connectionFactoryID

    protected int connectionFactoryID

### jndiBindings

    protected JNDIBindings jndiBindings

### serverPeerObjectName

    protected ObjectName serverPeerObjectName

### connectionFactoryManager

    protected ConnectionFactoryManager connectionFactoryManager

### connectorManager

    protected ConnectorManager connectorManager

### connectionManager

    protected ConnectionManager connectionManager

### connectorObjectName

    protected ObjectName connectorObjectName

### started

    protected boolean started

Constructor Detail

### ConnectionFactory

    public ConnectionFactory()

### ConnectionFactory

    public ConnectionFactory(java.lang.String clientID)

Method Detail

### startService

    public void startService()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stopService

    public void stopService()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getClientID

    public java.lang.String getClientID()

### setJNDIBindings

    public void setJNDIBindings(org.w3c.dom.Element e)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJNDIBindings

    public org.w3c.dom.Element getJNDIBindings()

### setServerPeer

    public void setServerPeer(ObjectName on)

### getServerPeer

    public ObjectName getServerPeer()

### setConnector

    public void setConnector(ObjectName on)

### getConnector

    public ObjectName getConnector()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.